Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.index.strtree
Class ItemBoundable

    java.lang.Object
      com.vividsolutions.jts.index.strtree.ItemBoundable

All Implemented Interfaces:
  Boundable, java.io.Serializable

    public class ItemBoundable

extends java.lang.Object
implements Boundable, java.io.Serializable

Boundable wrapper for a non-Boundable spatial object. Used internally by AbstractSTRtree.

Version:
  1.7
See Also:
  Serialized Form

Constructor Summary
`ItemBoundable(java.lang.Object bounds, java.lang.Object item)`

Method Summary
`java.lang.Object` | `getBounds()` Returns a representation of space that encloses this Boundable, preferably not much bigger than this Boundable's boundary yet fast to test for intersection with the bounds of other Boundables.
`java.lang.Object` | `getItem()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemBoundable

    public ItemBoundable(java.lang.Object bounds,
                         java.lang.Object item)

Method Detail

### getBounds

    public java.lang.Object getBounds()

  Description copied from interface: `Boundable`
  Returns a representation of space that encloses this Boundable, preferably not much bigger than this Boundable's boundary yet fast to test for intersection with the bounds of other Boundables. The class of object returned depends on the subclass of AbstractSTRtree.

  Specified by:
    `getBounds` in interface `Boundable`
  Returns:
    an Envelope (for STRtrees), an Interval (for SIRtrees), or other object (for other subclasses of AbstractSTRtree)

### getItem

    public java.lang.Object getItem()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD